# Create general SAGE_Yeast_table table
DROP TABLE IF EXISTS SAGE_Yeast;
CREATE TABLE SAGE_Yeast
(
	anno_number		INT UNSIGNED NOT NULL,
	seq_number		INT UNSIGNED NOT NULL,
	seq_TAG		VARCHAR(14) NOT NULL,
	occu_number		INT UNSIGNED NOT NULL,
	freq_anno		INT UNSIGNED NOT NULL,
	Class			VARCHAR(1) NOT NULL,
	TAG_class		VARCHAR(2) NOT NULL,
	Score_Cla		FLOAT(4) NOT NULL,
	Score_Con		FLOAT(4) NOT NULL,
	Confidence		VARCHAR(2) NOT NULL,
	Chr_tag		INT UNSIGNED NOT NULL,
	ini_tag		INT UNSIGNED NOT NULL,
	end_tag		INT UNSIGNED NOT NULL,
	strand		ENUM('+','-') NOT NULL,
	Chr_ORF		INT UNSIGNED NOT NULL,
	ini_ORF		INT UNSIGNED NOT NULL,
	end_ORF		INT UNSIGNED NOT NULL,
	ini_co_ORF		INT UNSIGNED NOT NULL,
	end_co_ORF		INT UNSIGNED NOT NULL,
	contained		ENUM('Y','N') NOT NULL,
	intron		ENUM('Y','N') NOT NULL,
	type_map		INT UNSIGNED NOT NULL,
	TAG_pos		INT UNSIGNED NOT NULL,
	dist_3UTR		INT UNSIGNED NOT NULL,
	polyA			ENUM('Y','N') NOT NULL,
	dist_polyA		INT UNSIGNED NOT NULL,
	length_polyA	INT UNSIGNED NOT NULL,
	Std_name		VARCHAR(10) NOT NULL,
	Feature_type	VARCHAR(10) NOT NULL,
	Feature_name	VARCHAR(20) NOT NULL,
	Syst_name		VARCHAR(15) NOT NULL,
	TAG_map		VARCHAR(5) NOT NULL,
	pred			ENUM('P','N') NOT NULL,
	desc			LONGTEXT NOT NULL
);
